| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData, uint16 theVariability, size_t theElemCount=4)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, Real theData, uint16 theVariability, size_t theElemCount=4)

## Public Attributes
union {
size_t data
Real fData
}; |
| Additional information to go with the parameter. More...
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g. More...
AutoConstantType | paramType
| The type of parameter. More...
size_t | physicalIndex
| The target (physical) constant index. More...
uint16 | variability
| The variability of this parameter (see GpuParamVariability) More...

## Detailed Description

Structure recording the use of an automatic parameter.

## Constructor & Destructor Documentation

## ◆ AutoConstantEntry() [1/2]

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = `4`
| ) |  |
| inline

## ◆ AutoConstantEntry() [2/2]

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = `4`
| ) |  |
| inline

## Member Data Documentation

## ◆ paramType

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

The type of parameter.

## ◆ physicalIndex

size_t Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex

The target (physical) constant index.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

## ◆ elementCount

size_t Ogre::GpuProgramParameters::AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

## ◆ data

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

## ◆ fData

Real Ogre::GpuProgramParameters::AutoConstantEntry::fData

## ◆ @4

union { ... }

Additional information to go with the parameter.

## ◆ variability

uint16 Ogre::GpuProgramParameters::AutoConstantEntry::variability

The variability of this parameter (see GpuParamVariability)

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h